multipart {curl} | R Documentation

## POST files or data

### Description

Build multipart form data elements. The `form_file` function uploads a file. The `form_data` function allows for posting a string or raw vector with a custom content-type.

### Usage

    form_file(path, type = NULL)

    form_data(value, type = NULL)

### Arguments

`path` | a string with a path to an existing file on disk
`type` | MIME content-type of the file.
`value` | a character or raw vector to post

[Package curl version 2.6 Index]